Loading...
Searching...
No Matches
mongocxx::v_noabi::result::gridfs::upload Class Reference

`#include <mongocxx/v_noabi/mongocxx/result/gridfs/upload.hpp>`

## Description

The result of a GridFS upload operation.

## Public Member Functions

| upload (bsoncxx::v_noabi::types::bson_value::view id)
| upload (v1::gridfs::upload_result opts)
| Construct with the mongocxx::v1 equivalent.
bsoncxx::v_noabi::types::view const & | id () const
| Gets the id of the uploaded GridFS file.
| operator v1::gridfs::upload_result () const
| Convert to the mongocxx::v1 equivalent.

## Constructor & Destructor Documentation

## upload() [1/2]

mongocxx::v_noabi::result::gridfs::upload::upload | ( | bsoncxx::v_noabi::types::bson_value::view | id | ) |

inline

Deprecated
  For internal use only.

## upload() [2/2]

mongocxx::v_noabi::result::gridfs::upload::upload | ( | v1::gridfs::upload_result | opts | ) |

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## id()

bsoncxx::v_noabi::types::view const & mongocxx::v_noabi::result::gridfs::upload::id | ( |  | ) | const

inline

Gets the id of the uploaded GridFS file.

Returns
  The id of the uploaded file.

## operator v1::gridfs::upload_result()

mongocxx::v_noabi::result::gridfs::upload::operator v1::gridfs::upload_result | ( |  | ) | const

explicit

Convert to the mongocxx::v1 equivalent.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/result/gridfs/upload.hpp